Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 338151 - media-libs/libgiigic _FORTIFY_SOURCE indicates presence of overflow
Summary: media-libs/libgiigic _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: media-video herd
URL:
Whiteboard: Pending Removal: 2012-04-24
Keywords: PMASKED
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-09-20 11:30 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-04-23 18:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (libgiigic-1.1.2:20100919-071622.log,119.05 KB, text/plain)
2010-09-20 11:30 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-20 11:30:33 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-20 11:30:49 UTC
Created attachment 248115 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2012-03-19 11:58:24 UTC
No release since 2007 and nothing in the tree needs it, probably a candidate for removal
Comment 3 Pacho Ramos gentoo-dev 2012-04-23 18:19:40 UTC
dropped